#!/usr/local/bin/perl
# $Id: test8.pl,v 1.2 2003/05/07 09:59:25 stephens Exp $
#

use 5.6.1;
use strict;
use warnings;


use lib "../lib/perl";
use lib "gen";
{
  local $" = ', '; 
  print STDERR "INC = @INC\n";
}


use UML::MetaModel1;
use UML::MetaMetaModel::FactoryBoot;

use IO::File;

$DB::single = 1;

my $model = UML::MetaModel1->model('factory' => 'UML::MetaMetaModel::FactoryBoot');

my $expcls = 
    #'UML::Export::Perl' ||
    'UML::Export::XMI' ||
    0;

my $exporter = UML::MetaModel1
    ->exporter(
	       'exporter' => $expcls,
	       'packagePrefix' => [ ucfirst($model->name) ],
	       'output' => \*STDOUT,
	       );

$exporter->export_Model($model);


1;

