#!/usr/local/bin/perl -d
#!/usr/bin/perl5.8.0 -d 

use 5.6.1;
use strict;
use warnings;


#use lib "gen";
use lib "../lib/perl";


use UML::MetaMetaModel;

# $DB::single = 1;

my $f = UML::MetaMetaModel->factory;

# $DB::single = 1;

my $model = $f->create('Model');

# $DB::single = 1;
my $Acls = $f->create('Class', 
		     'name' => 'AClass',
		     'namespace' => $model,
		     );

# $DB::single = 1;
my $Aattr = $f->create('Attribute',
		      'type' => $Acls,
		      'name' => 'foobar',
		      'visibility' => 'public',
		      'owner' => $Acls,
		      );

# $DB::single = 1;
my $Bcls = $f->create('Class', 
		     'name' => 'BClass',
		     'namespace' => $model,
		     );

# $DB::single = 1;
$f->create('Generalization',
	   'child', $Bcls,
	   'parent', $Acls,
	   );

# $DB::single = 1;
my $Battr = $f->create('Attribute',
		      'type' => $Acls,
		      'name' => 'foobar',
		      'visibility' => 'public',
		      'owner' => $Bcls,
		      );

use Data::Dumper;

use UML::Export::Perl;
UML::Export::Perl->new('packagePrefix' => "APackage")->export_Model($model);
# $DB::single = 1;

use UML::Export::XMI;
UML::Export::XMI->new()->export_Model($model);
$DB::single = 1;

1;
