#!/usr/local/bin/perl
# $Id: test7.pl,v 1.2 2003/05/04 16:55:59 stephens Exp $
#

use 5.6.1;
use strict;
use warnings;


use lib "../lib/perl";
use lib "gen";


use UML::MetaModel;
use UML::MetaModel1;
use UML::Import::XMI;
use IO::File;

$DB::single = 1;

my $f = UML::MetaModel->factory;

my ($model) = UML::MetaModel1->model('factory' => $f);

my $expcls = 
    'UML::Export::Java' || 
    'UML::Export::Perl' ||
    undef;

my $exporter = UML::MetaModel1
    ->exporter(
	       'exporter' => $expcls,
	       'packagePrefix' => [ ucfirst($model->name) ],
	       'output' => \*STDOUT,
	       );

$exporter->export_Model($model);


1;

